summaryrefslogtreecommitdiff
path: root/manual
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2014-02-11 12:55:58 +0100
committerClifford Wolf <clifford@clifford.at>2014-02-11 12:55:58 +0100
commit4bd2d47e45eb0354d0096d5310ccfe7a0dc3dbd0 (patch)
tree0be03f643d4362b54b2ff132522f170bc2ed2be6 /manual
parentfb186e6299f9e26f0011c9623f10adcf8eadb304 (diff)
Improved "make manual" and "make clean"
Diffstat (limited to 'manual')
-rw-r--r--manual/APPNOTE_011_Design_Investigation/make.sh4
-rwxr-xr-xmanual/appnotes.sh2
-rwxr-xr-xmanual/clean.sh2
3 files changed, 5 insertions, 3 deletions
diff --git a/manual/APPNOTE_011_Design_Investigation/make.sh b/manual/APPNOTE_011_Design_Investigation/make.sh
index fa3ca70e..3845dac6 100644
--- a/manual/APPNOTE_011_Design_Investigation/make.sh
+++ b/manual/APPNOTE_011_Design_Investigation/make.sh
@@ -18,6 +18,6 @@ if false; then
sed -i '/^label=/ d;' *.dot
fi
for dot_file in *.dot; do
- pdf_file=${dot_file#.dot}.pdf
- dot -Tpdf -o example_00.pdf example_00.dot
+ pdf_file=${dot_file%.dot}.pdf
+ dot -Tpdf -o $pdf_file $dot_file
done
diff --git a/manual/appnotes.sh b/manual/appnotes.sh
index f816956a..1160af6a 100755
--- a/manual/appnotes.sh
+++ b/manual/appnotes.sh
@@ -11,7 +11,7 @@ do
fi
old_md5=$([ -f $job.aux ] && md5sum < $job.aux || true)
while
- pdflatex -shell-escape -halt-on-error $job.tex
+ pdflatex -shell-escape -halt-on-error $job.tex || exit
new_md5=$(md5sum < $job.aux)
[ "$old_md5" != "$new_md5" ]
do
diff --git a/manual/clean.sh b/manual/clean.sh
new file mode 100755
index 00000000..13554c01
--- /dev/null
+++ b/manual/clean.sh
@@ -0,0 +1,2 @@
+#!/bin/bash
+for f in $( find -name .gitignore ); do sed -re "s,^,find ${f%.gitignore} -name ',; s,$,' | xargs -r rm -vf,;" $f; done | bash -v